Skip to content
BolderBolder API
Esc
navigateopen⌘Jpreview

List subscription purchases

Returns customer subscriptions.

GET/subscription_purchases
Authorization
AuthorizationBearer token (JWT) · headerrequired
Query parameters
shop_idinteger
seller_idsstring
Comma-separated seller IDs.
statestring
contact_idinteger
pageinteger
default: 1
per_pageinteger
default: 30
Responses
200Subscription purchases list
_embeddedobject
Show properties
itemsSubscriptionPurchase[]
Show properties
Array of SubscriptionPurchase
_linksHalLinks
idinteger
shop_idinteger
contact_idinteger
original_order_idinteger
product_idinteger
product_namestring
statestring
currency_codestring
total_renewal_feeinteger
In cents
payment_intervalstring
total_paymentsinteger
remaining_paymentsinteger
failed_attemptsinteger
last_payment_onstring<date>
next_payment_onstring<date>
start_datestring<date>
end_datestring<date> | null
cancel_atstring<date> | null
subscription_fee_idinteger
renewal_discountnumber
discount_num_chargesinteger
payments_to_skipinteger
paused_bystring
paid_setup_feeboolean
unitsinteger
created_onstring<date-time>
updated_onstring<date-time>
422`shop_id` or `seller_ids` is required
Request
curl -X GET "https://api.onbolder.com/v2/subscription_purchases" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "_embedded": {
    "items": [
      {
        "_links": {
          "property1": {
            "href": "string",
            "templated": true,
            "method": "get",
            "title": "string",
            "type": "string"
          },
          "property2": {
            "href": "string",
            "templated": true,
            "method": "get",
            "title": "string",
            "type": "string"
          }
        },
        "id": 0,
        "shop_id": 0,
        "contact_id": 0,
        "original_order_id": 0,
        "product_id": 0,
        "product_name": "string",
        "state": "string",
        "currency_code": "string",
        "total_renewal_fee": 0,
        "payment_interval": "string",
        "total_payments": 0,
        "remaining_payments": 0,
        "failed_attempts": 0,
        "last_payment_on": "2019-08-24",
        "next_payment_on": "2019-08-24",
        "start_date": "2019-08-24",
        "end_date": "2019-08-24",
        "cancel_at": "2019-08-24",
        "subscription_fee_id": 0,
        "renewal_discount": 0,
        "discount_num_charges": 0,
        "payments_to_skip": 0,
        "paused_by": "string",
        "paid_setup_fee": true,
        "units": 0,
        "created_on": "2019-08-24T14:15:22Z",
        "updated_on": "2019-08-24T14:15:22Z"
      }
    ]
  }
}